Contracts

Source code, ABIs and contract verification.

Contracts

Lists the contracts.

GEThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/contracts
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/all/contracts?limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/contracts?limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 chainId: string;
4 address: string; // evm-address
5 createOperation?: {
6 timestamp?: string; // date-time
7 txHash?: string;
8 index?: number;
9 type?: string;
10 from?: string;
11 };
12 name?: string;
13 verified?: boolean;
14 verifiedAt?: string; // date-time
15 txCount?: number;
16 hasConstructorArguments?: boolean;
17 licenseType?: string;
18 compilerName?: string;
19 compilerVersion?: string;
20 compilerSettings?: {
21 evmVersion?: string;
22 optimizer?: {
23 enabled?: boolean;
24 runs?: number;
25 };
26 };
27 }[];
28 count?: number;
29 countType?: "exact" | "lowerBound" | "approx";
30 link: {
31 next?: string;
32 nextToken?: string;
33 prev?: string;
34 prevToken?: string;
35 };
36}

Responses

200Default Response

Stylus verifications

Verifies a Stylus (Rust/WASM) contract.

POSThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/stylus-verifications
POST
https://api.routescan.io/v2/network/mainnet/evm/all/stylus-verifications?apikey=YourApiKeyToken
1curl -X POST 'https://api.routescan.io/v2/network/mainnet/evm/all/stylus-verifications' \
2 -H 'apikey: YourApiKeyToken' \
3 -H 'content-type: application/json' \
4 -d '{
5
6}'
1{
2 id: string;
3}

Expects a application/json body sent with an HTTP POST request.

Responses

200Default Response

Stylus verifications by id

Retrieves the status of the provided Stylus verification.

GEThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/stylus-verifications/{id}
GET
https://api.routescan.io/v2/network/mainnet/evm/all/stylus-verifications/%7Bid%7D?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/stylus-verifications/%7Bid%7D' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: "ok" | "pending" | "error";
3 message?: string;
4}

Responses

200Default Response

Vyper verifications

Verifies a vyper contract.

POSThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/vyper-verifications
POST
https://api.routescan.io/v2/network/mainnet/evm/all/vyper-verifications?apikey=YourApiKeyToken
1curl -X POST 'https://api.routescan.io/v2/network/mainnet/evm/all/vyper-verifications' \
2 -H 'apikey: YourApiKeyToken' \
3 -H 'content-type: application/json' \
4 -d '{
5
6}'
1{
2 id: string;
3}

Expects a application/json body sent with an HTTP POST request.

Responses

200Default Response

Vyper verifications by id

Retrieves the status of the provided Vyper verification.

GEThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/vyper-verifications/{id}
GET
https://api.routescan.io/v2/network/mainnet/evm/all/vyper-verifications/%7Bid%7D?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/vyper-verifications/%7Bid%7D' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: "ok" | "pending" | "error";
3 message?: string;
4}

Responses

200Default Response
Questions? Contact us